Package ru.bitel.bgbilling.modules.email.server.bean

# Class Account

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.email.server.bean.Account

All Implemented Interfaces:
  `java.io.Serializable`, `Idable`

    public class Account
    extends Id

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `STATUS_CLOSE` |
  `static int` | `STATUS_LOCK` |
  `static int` | `STATUS_OPEN` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Account()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getAccount()` |
  `java.util.List<AttributeValue>` | `getAttributes()` |
  `java.lang.String` | `getComment()` |
  `int` | `getContractId()` |
  `int` | `getContractID()` | Deprecated.
  `java.util.Date` | `getDate1()` |
  `java.util.Date` | `getDate2()` |
  `int` | `getDomainId()` |
  `java.util.List<Forward>` | `getForwardList()` |
  `int` | `getId()` | Возвращает id объекта
  `java.lang.String` | `getPassword()` |
  `long` | `getQuota()` |
  `int` | `getStatus()` |
  `java.lang.String` | `getStringStatus()` |
  `boolean` | `isNeedClose()` |
  `boolean` | `isNeedOpen()` |
  `void` | `setAccount​(java.lang.String account)` |
  `void` | `setAttributes​(java.util.List<AttributeValue> attributes)` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setContractId​(int contractId)` |
  `void` | `setContractID​(int contractId)` | Deprecated.
  `void` | `setDate1​(java.util.Date date1)` |
  `void` | `setDate2​(java.util.Date date2)` |
  `void` | `setDomainId​(int domainId)` |
  `void` | `setForwardList​(java.util.List<Forward> forwardList)` |
  `void` | `setId​(int id)` | Устанавливает id объекта
  `void` | `setNeedClose​(boolean needClose)` |
  `void` | `setNeedOpen​(boolean needOpen)` |
  `void` | `setNeedOpenAndNeedClose​(java.util.Date thisDate)` |
  `void` | `setPassword​(java.lang.String password)` |
  `void` | `setQuota​(long quota)` |
  `void` | `setStatus​(int status)` |

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### STATUS_OPEN

    public static final int STATUS_OPEN
    See Also:
      Constant Field Values

  - ### STATUS_CLOSE

    public static final int STATUS_CLOSE
    See Also:
      Constant Field Values

  - ### STATUS_LOCK

    public static final int STATUS_LOCK
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### Account

    public Account()

- ## Method Details

  - ### getId

    public int getId()
    Description copied from class: `Id`
    Возвращает id объекта
    Specified by:
      `getId` in interface `Idable`
    Overrides:
      `getId` in class `Id`
    Returns:

  - ### setId

    public void setId​(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`
    Parameters:
      `id` - id

  - ### getContractId

    public int getContractId()

  - ### getContractID

    @Deprecated public int getContractID()
    Deprecated.
    Использовать `getContractId()`
    Returns:

  - ### setContractId

    public void setContractId​(int contractId)

  - ### setContractID

    @Deprecated public void setContractID​(int contractId)
    Deprecated.
    Использовать `setContractId(int)`.
    Parameters:
      `contractId` -

  - ### setStatus

    public void setStatus​(int status)

  - ### setQuota

    public void setQuota​(long quota)

  - ### setDomainId

    public void setDomainId​(int domainId)

  - ### setAccount

    public void setAccount​(java.lang.String account)

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### setForwardList

    public void setForwardList​(java.util.List<Forward> forwardList)

  - ### setPassword

    public void setPassword​(java.lang.String password)

  - ### getAccount

    public java.lang.String getAccount()

  - ### getDomainId

    public int getDomainId()

  - ### getQuota

    public long getQuota()

  - ### getStatus

    public int getStatus()

  - ### getComment

    public java.lang.String getComment()

  - ### getForwardList

    public java.util.List<Forward> getForwardList()

  - ### getPassword

    public java.lang.String getPassword()

  - ### getStringStatus

    public java.lang.String getStringStatus()

  - ### getAttributes

    public java.util.List<AttributeValue> getAttributes()

  - ### setAttributes

    public void setAttributes​(java.util.List<AttributeValue> attributes)

  - ### getDate1

    public java.util.Date getDate1()

  - ### setDate1

    public void setDate1​(java.util.Date date1)

  - ### getDate2

    public java.util.Date getDate2()

  - ### setDate2

    public void setDate2​(java.util.Date date2)

  - ### isNeedOpen

    public boolean isNeedOpen()

  - ### setNeedOpen

    public void setNeedOpen​(boolean needOpen)

  - ### isNeedClose

    public boolean isNeedClose()

  - ### setNeedClose

    public void setNeedClose​(boolean needClose)

  - ### setNeedOpenAndNeedClose

    public void setNeedOpenAndNeedClose​(java.util.Date thisDate)